#!/usr/bin/env python
'''
Short Python script that takes the version number as an argument and creates a zip file with the proper structure
for direct decompression into the Blender scripts directory

Bug with this not working in windows fixed - if openning the file to put the zip file in seperatly you need to open it in binary mode rather than text mode.
'''

import sys, os

from zipfile import *

if len(sys.argv) > 1:
	version = sys.argv[1]
else:
	version = ''

zfile = open('chicken_export%s.zip'%version, 'wb')
zarchive = ZipFile(zfile, 'w', ZIP_DEFLATED)

def pasteVersion(src, dst):
	src_file = open(src, 'r')
	src_text = src_file.read()
	src_text = src_text.replace('$RELEASE_VERSION', version)
	zarchive.writestr(dst, src_text)

pasteVersion('script/chicken_export.py', 'chicken_export%s.py'%version)

pasteVersion('script/chicken_interface.py', 'bpymodules/chicken_interface.py')
pasteVersion('script/chicken_config.py', 'bpydata/chicken/chicken_config.py')

def addData(arg, directory, files):
	try:
		files.remove('.svn')
		files.remove('chicken.xcf')
		files.remove('chicken.png')
		files.remove('newchicken.xcf')
		files.remove('chicken_config.py') #don't process soft link
		files.remove('doc.html') #don't process doc this way because we want to put in the version number
	except:
		pass
	for file in files:
		zarchive.write(os.path.join(directory, file), os.path.join(arg, file))

os.path.walk('data/', addData, 'bpydata/chicken/')
pasteVersion('data/doc.html', 'bpydata/chicken/doc.html')

zarchive.close()
zfile.close()
